package com.inkasso.factoring.purchManagement.entity.vo;

import com.inkasso.factoring.file.entity.FileStorageDO;
import com.inkasso.factoring.purchManagement.entity.CPurchContractSupplementGoodsInfo;
import com.inkasso.factoring.purchManagement.entity.CPurchContractSupplementInfo;

import java.util.List;

/**
 * 销售合同变更视图层对象
 */
public class PurchContractChangeVo {


    /**
     * 业务key(对应采购合同管理主键Id)
     */
    private Long businessKey;

    /**
     * 任务编号
     */
    private String taskId;

    /**
     * 变更合同补充信息
     */
    private CPurchContractSupplementInfo contractSupplementInfo;

    /**
     * 货物信息
     **/
    private List<CPurchContractSupplementGoodsInfo> contractGoodsInfo;

    /**
     * 文件
     */
    private List<FileStorageDO> files;

    public CPurchContractSupplementInfo getContractSupplementInfo() {
        return contractSupplementInfo;
    }

    public void setContractSupplementInfo(CPurchContractSupplementInfo contractSupplementInfo) {
        this.contractSupplementInfo = contractSupplementInfo;
    }

    public List<CPurchContractSupplementGoodsInfo> getContractGoodsInfo() {
        return contractGoodsInfo;
    }

    public void setContractGoodsInfo(List<CPurchContractSupplementGoodsInfo> contractGoodsInfo) {
        this.contractGoodsInfo = contractGoodsInfo;
    }

    public List<FileStorageDO> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorageDO> files) {
        this.files = files;
    }

    public PurchContractChangeVo() {
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

}
